Patches Build: P-P20080313153530-20080313153530
March 13, 2008

The Eclipse Web Tools Platform Project provides tools for Web Development, and is a platform for adopters making add-on tools for Web Development.

Required Prerequisites and Handy Extras

These are the prerequisites to install and run the Web Tools Platform. Also listed are some frequently needed links for committer-required packages when creating new developmnet environmnets, or targets to run against.

Note that WTP requires Java 5 or higher (and, for some things, actually requires a JDK rather than only a JRE) even though many other Eclipse Projects can run with other JRE levels.

Eclipse Platform (Platform, JDT) or appropriate platform or equivalent
Eclipse Modeling Framework (EMF, XSD InfoSet, SDO) or equivalent
Graphical Editing Framework (GEF) or equivalent
Eclipse Test Framework (required only for Automated JUnit tests) or equivalent
Eclipse releng tool (required only for committers to more easily "release" code to a build) or equivalent
Web Tools Platform Patches for WTP 2.0.2

The Zip files contain patches


Remember, care is needed in using patches from this page. These patches are specific to particular use-cases or adopters and not well tested for general cases.

Status, tests and other interesting details
Build notes
map files
Unit test results 0  Total: 5822
Compile logs: Code Bundles  (3)  0 40 0 3158 
Compile logs: Test Bundles  (3)  0 72 0 386 

Versioning Information

All downloads are provided under the terms and conditions of the Software User Agreement unless otherwise specified.

If you have problems downloading the drops, contact the webmaster.